API reference
Operations
API reference descriptions are provided in English to preserve the exact published contract.
List asynchronous operations
GET /v1/accounts/{AC}/operations
getV1AccountsByAcOperationsPaginated200
Required scope: `operations:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
sort | query · "createdAt" | "-createdAt" | | |
type | query · string (max 64 chars) | | |
state | query · string (max 64 chars) | | |
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Fetch an asynchronous operation
GET /v1/accounts/{AC}/operations/{OP}
getV1AccountsByAcOperationsByOp200
Required scope: `operations:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
OP | path · string (OP… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Cancel an asynchronous operation
POST /v1/accounts/{AC}/operations/{OP}/cancel
postV1AccountsByAcOperationsByOpCancelIdempotency-Key required200
Required scope: `operations:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
OP | path · string (OP… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
List per-item operation results
GET /v1/accounts/{AC}/operations/{OP}/children
getV1AccountsByAcOperationsByOpChildrenPaginated200
Required scope: `operations:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
AC | path · string (AC… SID) | yes | |
OP | path · string (OP… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Fetch a completed operation result
GET /v1/accounts/{AC}/operations/{OP}/result
getV1AccountsByAcOperationsByOpResult200
Required scope: `operations:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
OP | path · string (OP… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Retry an asynchronous operation
POST /v1/accounts/{AC}/operations/{OP}/retry
postV1AccountsByAcOperationsByOpRetryIdempotency-Key required200
Required scope: `operations:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
OP | path · string (OP… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.